# Method: claims.search

- [HTTP request](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/claims/search#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/claims/search#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/claims/search#body.request_body)
- [Response body](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/claims/search#body.response_body)
  - [JSON representation](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/claims/search#body.FactCheckedClaimSearchResponse.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/claims/search#try-it)

Search through fact-checked claims.

### HTTP request

`GET https://factchecktools.googleapis.com/v1alpha1/claims:search`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `query` | `string` Textual query string. Required unless `reviewPublisherSiteFilter` is specified. |
| `languageCode` | `string` The BCP-47 language code, such as "en-US" or "sr-Latn". Can be used to restrict results by language, though we do not currently consider the region. |
| `reviewPublisherSiteFilter` | `string` The review publisher site to filter results by, e.g. nytimes.com. |
| `maxAgeDays` | `integer` The maximum age of the returned search results, in days. Age is determined by either claim date or review date, whichever is newer. |
| `pageSize` | `integer` The pagination size. We will return up to that many results. Defaults to 10 if not set. |
| `pageToken` | `string` The pagination token. You may provide the `nextPageToken` returned from a previous List request, if any, in order to get the next page. All other fields must have the same values as in the previous request. |
| `offset` | `integer` An integer that specifies the current offset (that is, starting result location) in search results. This field is only considered if `pageToken` is unset. For example, 0 means to return results starting from the first matching result, and 10 means to return from the 11th result. |

### Request body

The request body must be empty.

### Response body

Response from searching fact-checked claims.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "claims": [ { object (`https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/claims#Claim`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `claims[]` | ``object (`https://developers.google.com/fact-check/tools/api/reference/rest/v1alpha1/claims#Claim`)`` The list of claims and all of their associated information. |
| `nextPageToken` | `string` The next pagination token in the Search response. It should be used as the `pageToken` for the following request. An empty value means no more results. |